> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Live Page For A Channel By URL

> Gets live page for the specified page URL and channel



## OpenAPI

````yaml xm_v2 get /v2/page/live
openapi: 3.0.0
info:
  version: 2.0.0
  description: >-
    fabric's Experiences (formerly known as XM) enables you to design,
    implement, and optimize omnichannel e-commerce experiences, without having
    to code. With XM, you can easily add parent and child categories through our
    intuitive UI to create your website navigation, and seamlessly integrate
    with our APIs    for dynamic navigation rendering on your store front. In
    addition, developers can implement agile design by creating reusable design
    components and use one set of data and APIs for every channel.
  title: Experiences v2 (XM v2)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /v2/page/live:
    get:
      tags:
        - Pages
      summary: Get Live Page For A Channel By URL
      description: Gets live page for the specified page URL and channel
      operationId: getLivePageV2
      parameters:
        - in: query
          name: url
          description: Relative page url for which to retrieve the live page version
          required: true
          schema:
            type: string
        - in: query
          name: channels
          description: Comma-separated list of channel IDs
          schema:
            type: string
            default: '12'
        - name: x-site-context
          in: header
          description: >-
            The `x-site-context` header is a JSON object that contains
            information about the source you wish to pull from. The mandatory
            `account` is the 24 character identifier found in Copilot. The
            `channel` (Sales channel ID), `stage` (environment name), and `date`
            attributes can be used to further narrow the scope of your data
            source.
          required: true
          schema:
            type: string
            example: >-
              {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
              "1234abcd5678efgh9ijklmno","stage":"production"}
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                description: 200 response object
                properties:
                  status_code:
                    type: integer
                    description: Response status code
                  message:
                    type: string
                    description: Status message
                  data:
                    type: object
                    description: Data object holding the live page and version details
                    properties:
                      page:
                        type: object
                        description: Page details
                        allOf:
                          - $ref: '#/components/schemas/Page'
                          - type: object
                            properties:
                              pageType:
                                type: object
                                description: Details of page type
                                properties:
                                  isDefault:
                                    type: boolean
                                    description: >-
                                      True = page type is default <br /> false =
                                      page type is not default
                                  name:
                                    type: string
                                    description: Name of page type
                                  urlPrefix:
                                    type: string
                                    description: URL prefix associated with page type
                      version:
                        type: array
                        description: Array holding live page version
                        items:
                          type: object
                          description: Version details of the live page
                          allOf:
                            - $ref: '#/components/schemas/PageVersion'
                            - type: object
                              properties:
                                __v:
                                  type: integer
                                  description: versionKey associated with the version
                                startDate:
                                  type: string
                                  format: date-time
                                  description: Timestamp of when version was published
              example:
                status_code: 200
                message: 'Live version: 2446 for page: /components'
                data:
                  page:
                    _id: 613a76a15363f9e9575dc953
                    name: Components
                    pageUrl: /components
                    __v: 0
                    channels:
                      - 00SZAU
                      - 02SZCA
                    createdAt: '2021-09-09T21:03:29.617Z'
                    isActive: true
                    isArchived: false
                    pageId: 1377
                    seoFields:
                      title: SEO
                      description: SEO description
                      _id: 612e4756c4b3c60010fff859
                      metadata:
                        - _id: 612e4756c4b3c60010fff85a
                          name: summary
                          content: Types of components
                          createdAt: '2021-08-31T15:14:30.973Z'
                          updatedAt: '2021-08-31T15:14:30.973Z'
                      createdAt: '2021-08-31T15:14:30.973Z'
                      updatedAt: '2021-08-31T15:14:30.973Z'
                    updatedAt: '2021-10-14T20:31:46.794Z'
                    pageType:
                      isDefault: false
                      name: Product category page
                      urlPrefix: /category
                  version:
                    - _id: 613a76a1fa9449000f6c36c3
                      isArchived: false
                      name: Default
                      channel:
                        - 12
                      channels:
                        - 00SZAU
                        - 02SZCA
                      createdAt: '2021-09-09T21:03:29.712Z'
                      updatedAt: '2021-10-14T20:31:47.369Z'
                      components:
                        _id: 61689237068cae000f12ef90
                        id: AboutUs
                        params:
                          desktopHeroImage:
                            url: https://imgurl.com/path/myPhoto.jpg
                            altText: Custom image
                          aboutUsContent:
                            - text: About us
                              firstText: Our Company
                              secondText: Our mission
                              thirdText: Our values
                              paragraph: false
                              dialog: false
                              components: []
                          components: []
                          additionalProp1: {}
                        order: 1
                        additionalProp1: {}
                      endDate: '2099-12-31T00:00:00.000Z'
                      pageId: 613a76a15363f9e9575dc953
                      status: SCHEDULED
                      versionId: 2446
                      __v: 0
                      startDate: '2021-10-14T20:31:44.052Z'
        '204':
          description: Page is not live or is inactive
          content:
            application/json:
              schema:
                type: object
                description: 204 response object
                properties:
                  status_code:
                    type: integer
                    description: Response status code
                  status:
                    type: string
                    description: Message describing the request
                  message:
                    type: string
                    description: Message describing the result of the response
              examples:
                NoLiveVersion:
                  summary: No Live Versions
                  value:
                    status_code: 204
                    status: 'Live Page: /someUrl'
                    message: >-
                      No live version available for page: /someUrl, status:
                      SCHEDULED, Date: Tue Oct 19 2021 16:18:21 GMT-0400
                      (Eastern Daylight Time), Channel: 02SZCA.
                InactivePage:
                  summary: Inactive Page
                  value:
                    status_code: 204
                    status: 'Live Page: /someUrl'
                    message: >-
                      page: /someUrl is inactive or archived, so there will be
                      no live versions of page.
        '400':
          description: Page url not specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: REQUEST_VALIDATION
                message: 'Invalid data in query: must have required property URL'
        '404':
          description: Page not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: PAGE_NOT_FOUND
                message: No page entry found
        '500':
          description: Request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  schemas:
    Page:
      type: object
      description: Page details
      properties:
        name:
          type: string
          description: Page name
        pageUrl:
          type: string
          description: Relative page URL
        createdAt:
          type: string
          format: date-time
          description: Timestamp of page creation
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of when page was last updated
        isActive:
          type: boolean
          description: True = page is active <br /> false = page is not active
        isArchived:
          type: boolean
          description: True = page is archived <br /> false = page is not archived
        pageId:
          type: integer
          description: Page ID
        channels:
          type: array
          description: Channel IDs associated with the page
          items:
            type: string
            description: Channel ID associated with the page
        seoFields:
          $ref: '#/components/schemas/SeoFields'
        typeName:
          type: string
          description: Name of the page type of page (optional)
        typeUrl:
          type: string
          description: URL of the page type of page (optional)
        _id:
          type: string
          description: Database ID associated with the page
        __v:
          type: integer
          description: VersionKey associated with the page
        channel:
          type: array
          description: deprecated field holding channel information
          items:
            type: integer
            description: Channel identifier
    PageVersion:
      type: object
      description: Version details
      properties:
        _id:
          type: string
          description: Database ID associated with the version
        isArchived:
          type: boolean
          description: True = version is archived <br /> false = version is not archived
        channel:
          type: array
          description: Deprecated field holding channel information
          items:
            type: integer
            description: Channel identifier
        channels:
          type: array
          description: Channel IDs associated with the version
          items:
            type: string
            description: Channel ID associated with the version
        status:
          type: string
          description: Current status of the version
        endDate:
          type: string
          description: >-
            Ending timestamp of page. That is Date and time when the version
            will no longer be live
          format: date-time
        pageId:
          type: string
          description: Database ID of the page associated with the version
        name:
          type: string
          description: Version name
        description:
          type: string
          description: Version description
        components:
          $ref: '#/components/schemas/Components'
        versionId:
          type: integer
          description: Version ID
        createdAt:
          type: string
          format: date-time
          description: Timestamp of version creation
        updatedAt:
          type: string
          format: date-time
          description: Timestamp on when version was last updated
    Error:
      type: object
      description: Server error response object
      properties:
        code:
          type: string
          description: Code associated with the type of server error
        message:
          type: string
          description: Message associated with the server error
      required:
        - code
        - message
    SeoFields:
      type: object
      description: SEO fields
      properties:
        title:
          type: string
          description: SEO field name
        description:
          type: string
          description: SEO field description
        createdAt:
          type: string
          format: date-time
          description: Timestamp of SEO field creation
        updatedAt:
          type: string
          format: date-time
          description: Timestamp of when SEO field was last updated
        metadata:
          type: array
          description: list of metadata associated with the SEO field
          items:
            type: object
            description: Metadata associated with the SEO field
            properties:
              name:
                type: string
                description: Metadata name
              content:
                type: string
                description: Metadata content
              _id:
                type: string
                description: Virutal ID associated with the SEO field metadata
              createdAt:
                type: string
                format: date-time
                description: Timestamp of metadata creation
              updatedAt:
                type: string
                format: date-time
                description: Timestamp of when metadata was last updated
        _id:
          type: string
          description: Virtual ID associated with the SEO field
    Components:
      type: array
      description: List of components
      items:
        type: object
        description: Component data
        properties:
          _id:
            type: string
            description: Virtual ID associated with the component
          id:
            type: string
            description: Identifier used in the UI by the component
          params:
            type: object
            description: Attached fields and values of the component
            additionalProperties: true
        additionalProperties: true

````